Subject: Re: Trailing commandline arguments not allowed.
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Sun, 21 Mar 2004 00:58:05 -0500

Hi Igor.  Crap I messed up in my last post.  Please do not read it.  It will
only upset you.

I got the service to exist in the Services applet with:

$cygrunsrv -I Apache -p /usr/sbin/httpd.exe -t auto

but it does not behave as a normal service.  A normal service set to auto
will start with no user intervention at boot.  But that is not the case here.
I still have to fire up Cygwin into the bash shell from the desktop.  And since
I have to do that I see no real benefit in running the above Apache as
a service.  Should I start Cygwin as a Service also?

George Hester
__________________________________
"Igor Pechtchanski" wrote in message news:[email-masked]...
> On Sat, 20 Mar 2004, George Hester wrote:
> 
> > According to the documentation of starting the Apache web server as a
> > service in cygwin the generic formula is:
> >
> > $ cygrunsrv -I service_name-p /usr/local/apache/bin/httpd.exe [-a arguments] \
>                              ^ this should be a space
> >       [-e VAR=VALUE] [-t auto|manual] [-u user] [-w passwd]
> >
> > So I did this in the bash shell:
> >
> > $cygrunsrv -I Apache 1.3-p /usr/sbin/httpd.exe -t auto
>                           ^ you need a space here
> 
> > Same thing with:
> > $cygrunsrv -I Apache 1.3-p /usr/sbin/httpd.exe-t auto
>                           ^ here                ^ and here
> 
> > The result was the error I posted in the subject.  What did I do wromg?
> 
> See above (you need to put a space before each -* flag).
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/